<vn>
<div id="title">
	<h1><t>ShoppingBasket</t></h1>
</div>
<div id="actions" class="action-bar">
	<button on-click="onConfigureClick" title="_ConfigureOrder">
		<img class="config" src="image/dark/preferences.svg" alt=""/>
	</button>
	<button on-click="onCatalogClick">
		<img src="image/dark/menu.svg" alt=""/>
		<t>Catalog</t>
	</button>
	<button on-click="onCheckoutClick">
		<img src="image/dark/ok.svg" alt=""/>
		<t>Checkout</t>
	</button>
</div>
<div id="form" class="basket">
<div class="box">
	<div>
		<htk-grid show-header="false">
			<db-model id="items" updatable="true">
				SELECT i.id, i.amount, i.price, a.Article, a.Categoria, 
				a.Medida, a.Tallos, a.Color, o.Abreviatura, a.Foto
					FROM basket_item i
					INNER JOIN vn2008.Articles a ON a.Id_Article = i.item_id
					LEFT JOIN vn2008.Origen o ON a.id_origen = o.id;
			</db-model>
			<htk-column-image
				column="Foto"
				directory="catalog"
				subdir="50x50"
				show-full="true"
				full-dir="900x900"
				class="icon"/>
			<htk-column-text title="_Item" column="Article"/>
			<htk-column-text renderer="featuresRender"/>
			<htk-column-text title="_Amount" column="amount" renderer="stemsRender"/>
			<htk-column-spin unit="€" digits="2" renderer="subtotalRender"/>
		</htk-grid>
		<div class="form">
			<p>
				<t>OrderTotal</t> 
				<htk-text format="%.2d€">
					<db-calc-sum func="subtotal" model="items"/>
				</htk-text>
			</p>
		</div>
	</div>
</div>
</div>
</vn>
